package com.objis.democdi.weld.beans;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import javax.inject.Qualifier;

@Qualifier
@Retention(RUNTIME)
@Target({ FIELD, TYPE, METHOD })
public @interface NotificationTypeDao {          // Cration d'un qualificateur

	TypeDao value();

	public enum TypeDao {
		JDBC, HIBERNATE;
	}

}

